session {secr} | R Documentation

## Session Vector

### Description

Extract or replace the session names of a `capthist` object.

### Usage

    session(object, ...)
    session(object) <- value

### Arguments

`object` | object with ‘session’ attribute e.g. `capthist`
`value` | character vector or vector that may be coerced to character, one value per session
`...` | other arguments (not used)

### Details

Replacement values will be coerced to character.

### Value

a character vector with one value for each session in `capthist`

### Note

Like Density, secr uses the term ‘session’ for a closed-population sample. A session usually includes data from several closely-spaced capture occasions (often consecutive days). Each 'primary session' in the ‘robust’ design of Pollock (1982) would be treated as a session in secr. secr also uses ‘session’ for independent subsets of the capture data distinguished by characteristics other than sampling time (as above). For example, two grids trapped simultaneously could be analysed as distinct sessions if (i) they were far enough apart that there was negligible prospect of the same animal being caught on both grids, and (ii) there was interest in comparing estimates from the two grids, or fitting a common detection model.

The log likelihood for a session model is the sum of the separate session log likelihoods. Although this assumes independence of sampling, parameters may be shared across sessions, or session-specific parameter values may be functions of session-level covariates. For many purposes, ‘sessions’ are equivalent to ‘groups’. For multi-session models the detector array and mask are specified separately for each session. Group models are therefore generally simpler to implement. On the other hand, sessions offer more flexibility in defining and evaluating between-session models, including trend models.

### References

Pollock, K. H. (1982) A capture-recapture design robust to unequal probability of capture. Journal of Wildlife Management 46, 752–757.

### See Also

`capthist`

### Examples

      session(captdata)

[Package secr version 3.2.1 Index]